<?php

namespace App\Models;

class PropertyPriceComparison extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'property_price_comparison';
    protected $appends = ['dataArray'];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];


    public function getDataArrayAttribute()
    {
        if (!is_null($this->data)) {
            return json_decode($this->data, 1);
        } else {
            return null;
        }
    }

    public function propertyDetail()
    {
        return $this->hasOne('App\Models\Property', 'id', 'property_id')
            ->select(['id', 'name', 'country', 'official_name', 'tax_office', 'tax_number', 'commission', 'commission_offline', 'commission_channel', 'commission_wholesaler','contract_user_id']);
    }
}
